package com.ym.mec.collectfee.entity;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamOmitField;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 对应数据库表(apply_info):
 */
@XStreamAlias("user")
public class ApplyInfo {

	/**  */
	@XStreamOmitField
	private Integer id;

	//mec用户编号
	@XStreamOmitField
	private Integer userId;

	private String mobile;

	/** 用户名 */
	@XStreamOmitField
	private String name;

	/** 学生姓名 */
	private String realName;

	//乐团编号
	private Integer classId;

	//所属分部
	private Integer branchId;

	/** 性别0男1女 */
	private Integer sex;

	/** 生日 */
	@XStreamAlias("birthDay")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	private java.util.Date birthday;

	/** 城市 */
	@XStreamOmitField
	private String city;

	/** 学校名称 */
	@XStreamOmitField
	private Integer schoolId;

	/** 年级 */
	@XStreamOmitField
	private String grade;

	/** 班级 */
	@XStreamAlias("class")
	private String gClass;

	/** 科目id */
	@XStreamOmitField
	private Integer subId;

	/** 是否服从调剂 0 否 1是 */
	@XStreamOmitField
	private Integer isAdjust;

	/** 家长手机号 */
	@XStreamAlias("pMobile")
	private String patriarchPhone;

	/** 家长姓名 */
	@XStreamAlias("pName")
	private String patriarchName;

	/** 家长工作单位 */
	@XStreamAlias("pCompany")
	private String patriarchUnit;

	/** 0报名中，1报名完成，2报名失败 */
	@XStreamOmitField
	private Integer status;

	//推送状态 0未推送，1推送成功，2推送失败
	@XStreamOmitField
	private Integer pushStatus;

	/**  */
	@XStreamOmitField
	private java.util.Date updateTime;

	/**  */
	@XStreamOmitField
	private java.util.Date createTime;

	private Integer courseId;

	public Integer getCourseId() {
		return courseId;
	}

	public void setCourseId(Integer courseId) {
		this.courseId = courseId;
	}

	public Integer getClassId() {
		return classId;
	}

	public void setClassId(Integer classId) {
		this.classId = classId;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public Integer getPushStatus() {
		return pushStatus;
	}

	public void setPushStatus(Integer pushStatus) {
		this.pushStatus = pushStatus;
	}

	public Integer getBranchId() {
		return branchId;
	}

	public void setBranchId(Integer branchId) {
		this.branchId = branchId;
	}

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public String getgClass() {
		return gClass;
	}

	public void setgClass(String gClass) {
		this.gClass = gClass;
	}

	public void setId(Integer id){
		this.id = id;
	}

	public Integer getId(){
		return this.id;
	}

	public void setName(String name){
		this.name = name;
	}

	public String getName(){
		return this.name;
	}

	public void setSex(Integer sex){
		this.sex = sex;
	}

	public Integer getSex(){
		return this.sex;
	}

	public void setBirthday(java.util.Date birthday){
		this.birthday = birthday;
	}

	public java.util.Date getBirthday(){
		return this.birthday;
	}

	public void setCity(String city){
		this.city = city;
	}

	public String getCity(){
		return this.city;
	}

	public Integer getSchoolId() {
		return schoolId;
	}

	public void setSchoolId(Integer schoolId) {
		this.schoolId = schoolId;
	}

	public void setGrade(String grade){
		this.grade = grade;
	}

	public String getGrade(){
		return this.grade;
	}

	public void setGClass(String gClass){
		this.gClass = gClass;
	}

	public String getGClass(){
		return this.gClass;
	}

	public void setSubId(Integer subId){
		this.subId = subId;
	}

	public Integer getSubId(){
		return this.subId;
	}

	public void setIsAdjust(Integer isAdjust){
		this.isAdjust = isAdjust;
	}

	public Integer getIsAdjust(){
		return this.isAdjust;
	}

	public void setPatriarchPhone(String patriarchPhone){
		this.patriarchPhone = patriarchPhone;
	}

	public String getPatriarchPhone(){
		return this.patriarchPhone;
	}

	public void setPatriarchName(String patriarchName){
		this.patriarchName = patriarchName;
	}

	public String getPatriarchName(){
		return this.patriarchName;
	}

	public void setPatriarchUnit(String patriarchUnit){
		this.patriarchUnit = patriarchUnit;
	}

	public String getPatriarchUnit(){
		return this.patriarchUnit;
	}

	public void setStatus(Integer status){
		this.status = status;
	}

	public Integer getStatus(){
		return this.status;
	}

	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}

	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime(){
		return this.createTime;
	}

	@Override
	public String toString() {
		return "ApplyInfo{" +
				"id=" + id +
				", userId=" + userId +
				", mobile='" + mobile + '\'' +
				", name='" + name + '\'' +
				", realName='" + realName + '\'' +
				", classId=" + classId +
				", branchId=" + branchId +
				", sex=" + sex +
				", birthday=" + birthday +
				", city='" + city + '\'' +
				", schoolId=" + schoolId +
				", grade='" + grade + '\'' +
				", gClass='" + gClass + '\'' +
				", subId=" + subId +
				", isAdjust=" + isAdjust +
				", patriarchPhone='" + patriarchPhone + '\'' +
				", patriarchName='" + patriarchName + '\'' +
				", patriarchUnit='" + patriarchUnit + '\'' +
				", status=" + status +
				", pushStatus=" + pushStatus +
				", updateTime=" + updateTime +
				", createTime=" + createTime +
				", courseId=" + courseId +
				'}';
	}
}
